/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.133 Revision 1.289
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.133 2010/10/30 18:23:26 arfrever Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.289 2015/06/14 13:52:01 pesa Exp $
4
5 14 Jun 2015; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.4.ebuild:
6 PyQt4 became GPL-3 only.
7
8*PyQt4-4.11.4 (14 Jun 2015)
9
10 14 Jun 2015; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.4.ebuild:
11 Version bump.
12
13 09 Jun 2015; Justin Lecher <jlec@gentoo.org> metadata.xml:
14 Updating remote-id in metadata.xml
15
16 11 May 2015; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.11.2.ebuild,
17 PyQt4-4.11.3.ebuild:
18 Enable tracing with USE=debug; enable configure verbose output to get useful
19 build logs in bug reports; stop passing deprecated --no-timestamp option; use
20 qt4_get_bindir().
21
22 14 Apr 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
23 Stable for ia64, wrt bug #523322
24
25 08 Apr 2015; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.3-r2.ebuild:
26 Drop old Python implementations
27
28 17 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
29 Stable for ppc64, wrt bug #517344
30
31 16 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
32 Stable for ppc, wrt bug #517344
33
34 14 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
35 Stable for x86, wrt bug #517344
36
37 09 Jan 2015; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.3.ebuild:
38 Stop using deprecated python_parallel_foreach_impl.
39
40 31 Dec 2014; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.3-r2.ebuild,
41 PyQt4-4.11.1.ebuild, PyQt4-4.11.2.ebuild:
42 Enforce USE dependency for media-libs/phonon.
43
44 10 Dec 2014; Mikle Kolyada <zlogene@gentoo.org> PyQt4-4.11.1.ebuild:
45 amd64 stable wrt bug #517344
46
47 22 Nov 2014; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.11.1.ebuild:
48 Stable on alpha, bug 523322
49
50*PyQt4-4.11.3 (15 Nov 2014)
51
52 15 Nov 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.3.ebuild,
53 -PyQt4-4.11.3_pre20141024.ebuild:
54 Version bump.
55
56*PyQt4-4.11.3_pre20141024 (01 Nov 2014)
57
58 01 Nov 2014; Davide Pesavento <pesa@gentoo.org>
59 +PyQt4-4.11.3_pre20141024.ebuild, -PyQt4-4.11.2-r1.ebuild:
60 Bump to 4.11.3 prerelease, which contains upstream fixes for bugs #525392 and
61 #525470. Also switch to out-of-source builds.
62
63 15 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.2-r1.ebuild:
64 Fix bug #525392.
65
66 14 Oct 2014; Davide Pesavento <pesa@gentoo.org>
67 +files/PyQt4-4.11.2-phonon.patch, PyQt4-4.11.2-r1.ebuild:
68 Fix building against media-libs/phonon (bug 525354).
69
70*PyQt4-4.11.2-r1 (13 Oct 2014)
71
72 13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2-r1.ebuild,
73 metadata.xml:
74 Switch to new upstream build system. Introduce USE=testlib to decouple QtTest
75 from QtGui.
76
77 09 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
78 Revert to ~amd64, see bug #523322 comment #4.
79
80 09 Oct 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
81 Stable for amd64, wrt bug #523322
82
83 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
84 arm stable, bug #523322
85
86*PyQt4-4.11.2 (20 Sep 2014)
87
88 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
89 PyQt4-4.11.1.ebuild:
90 Version bump. Silence harmless repoman warning.
91
92 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
93 Drop deprecated python versions.
94
95 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
96 PyQt4-4.11.1.ebuild:
97 Stop using dohtml, remove old.
98
99 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
100 Remove old.
101
102*PyQt4-4.11.1 (15 Jul 2014)
103
104 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
105 PyQt4-4.11.ebuild:
106 Version bump.
107
108 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
109 PyQt4-4.11.ebuild:
110 add py3.4 support req'd to support py packages such as pandas
111
112 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
113 PyQt4-4.10.3-r3.ebuild:
114 Restrict sip dep to =4.15* for older PyQt4 versions.
115
116*PyQt4-4.11 (30 May 2014)
117
118 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
119 Version bump.
120
121 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
122 PyQt4-4.10.3-r3.ebuild, metadata.xml:
123 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
124 Martin Walch in bug 510812.
125
126 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
127 -PyQt4-4.10.3.ebuild:
128 Drop the old versions that required python-exec:0.
129
130 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
131 Remove python herd as discussed with them.
132
133*PyQt4-4.10.3-r3 (27 Mar 2014)
134
135 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
136 Replace manual Python wrapping with proper eclass functions, bug #484404.
137
138 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
139 Stable for sparc, wrt bug #495638
140
141 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
142 Stable for x86, wrt bug #495638
143
144 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
145 Stable for alpha, wrt bug #495638
146
147 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
148 Stable for ia64, wrt bug #495638
149
150 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
151 Stable for ppc64, wrt bug #495638
152
153 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
154 amd64 stable, bug 495638
155
156 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
157 Stable for ppc, wrt bug #495638
158
159 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
160 arm stable, bug #495638
161
162 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
163 files/PyQt4-4.7.3-qreal_float_support.patch:
164 Updated qreal_float patch to remove first hunk (already applied
165 upstream). Tested on arm chromebook; no existing bug.
166
167*PyQt4-4.10.3-r2 (25 Dec 2013)
168
169 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
170 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
171 Introduce USE="designer".
172
173 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
174 old
175
176 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
177 Stable for sparc, wrt bug #483112
178
179 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
180 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
181 Update the ebuilds to dep on dev-lang/python-exec.
182
183 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
184 old
185
186*PyQt4-4.10.3-r1 (23 Oct 2013)
187
188 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
189 Support python-exec:2.
190
191 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
192 Depend on sip >=4.15.0 to fix build failure (bug #485274)
193
194 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
195 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
196 Add explicit dep on python-exec:0 since the package wraps the script manually.
197
198*PyQt4-4.10.3 (17 Sep 2013)
199
200 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
201 Version bump
202
203 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
204 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
205 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
206
207 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
208 arm stable, bug #483112
209
210 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
211 Stable for x86, wrt bug #483112
212
213 05 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
214 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
215 Clean up PYTHON_COMPAT from old implementations.
216
217 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
218 Stable for ppc64, wrt bug #483112
219
220 04 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
221 Stable for ppc, wrt bug #483112
222
223 03 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
224 Stable for ia64, wrt bug #483112
225
226 02 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
227 Stable for alpha, wrt bug #483112
228
229 31 Aug 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
230 Stable for amd64, wrt bug #483112
231
232 22 Jul 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.1.ebuild,
233 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
234 Reorder Qt dependencies.
235
236 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
237 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
238 Fixing qtgui/designer deps for qt-4.8.5
239
240 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
241 PyQt4-4.9.6-r2.ebuild:
242 Fixing qtgui deps for qt-4.8.5
243
244 08 Jul 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.2.ebuild:
245 Remove wrong usedep for qtgui.
246
247*PyQt4-4.10.2 (24 Jun 2013)
248
249 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.2.ebuild:
250 Version bump.
251
252 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.ebuild,
253 PyQt4-4.10.1.ebuild:
254 Add PYTHON_REQUIRED_USE. Remove old.
255
256*PyQt4-4.10.1 (22 May 2013)
257
258 22 May 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.10.1.ebuild:
259 Version bump.
260
261 10 May 2013; Patrick Lauer <patrick@gentoo.org> metadata.xml:
262 Remove unused flag description from metadata
263
264 04 May 2013; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4-r1.ebuild,
265 -files/PyQt4-4.7.2-configure.py.patch,
266 -files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
267 old
268
269*PyQt4-4.10 (12 Mar 2013)
270
271 12 Mar 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.ebuild:
272 Version bump. Fix also bug #433944 by Franz Fellner.
273
274 11 Mar 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
275 Stable for sparc, wrt bug #457046
276
277 03 Mar 2013; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.4-r1.ebuild,
278 PyQt4-4.9.6-r2.ebuild:
279 Move Qt dependencies to the new category
280
281 21 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
282 Stable for ia64, wrt bug #457046
283
284 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
285 Stable for ppc64, wrt bug #457046
286
287 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
288 Stable for ppc, wrt bug #457046
289
290 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
291 Stable for alpha, wrt bug #457046
292
293 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
294 Stable for arm, wrt bug #457046
295
296 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
297 Stable for x86, wrt bug #457046
298
299 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
300 Stable for amd64, wrt bug #457046
301
302 15 Feb 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r2.ebuild:
303 BUILDDIR -> BUILD_DIR, fixes bug 457538 by ago.
304
305 13 Feb 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r1.ebuild,
306 -PyQt4-4.9.6.ebuild, PyQt4-4.9.6-r2.ebuild:
307 Fix double prefix; remove old.
308
309 04 Feb 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.9.6-r2.ebuild:
310 Use run_in_build_dir. Add python-3.3 support wrt bug #455020.
311
312*PyQt4-4.9.6-r2 (29 Jan 2013)
313
314 29 Jan 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.9.6-r2.ebuild:
315 Migrate to the new python eclass.
316
317 27 Dec 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r1.ebuild:
318 Improve pyqt4_use_enable() as suggested by Arfrever.
319
320 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.5.ebuild:
321 old
322
323*PyQt4-4.9.6-r1 (26 Dec 2012)
324
325 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
326 metadata.xml:
327 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
328 pyside: rename assistant to help, add script and scripttools (bug 431460 by
329 Arfrever).
330
331*PyQt4-4.9.6 (10 Dec 2012)
332
333 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
334 Version bump, with some minor updates from qt overlay.
335
336 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
337 arm stable, bug #435074
338
339 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
340 PyQt4-4.9.4-r1.ebuild:
341 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
342
343 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
344 -PyQt4-4.9.1.ebuild:
345 Remove old
346
347*PyQt4-4.9.5 (05 Oct 2012)
348
349 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
350 Version bump
351
352 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
353 alpha/ia64/sparc stable wrt #429042
354
355*PyQt4-4.9.4-r1 (03 Sep 2012)
356
357 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
358 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
359 Apply upstream patch to fix regression in pyuic's handling of custom widgets
360 (bug 431070 by Laurent Bachelier).
361
362 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
363 Stable for x86, wrt bug #429042
364
365 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
366 Stable for amd64, wrt bug #429042
367
368 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
369 Stable ppc64, bug #429042
370
371 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
372 Stable ppc, bug #429042
373
374 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
375 ia64 stable
376
377 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
378 -files/PyQt4-4.6.1-configure-multilib.patch:
379 Remove old.
380
381 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
382 PyQt4-4.9.4.ebuild:
383 alpha/ia64/sparc stable wrt #412929
384
385*PyQt4-4.9.4 (02 Jul 2012)
386
387 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
388 -PyQt4-4.9.3.ebuild:
389 Version bump.
390
391*PyQt4-4.9.3 (27 Jun 2012)
392
393 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
394 -PyQt4-4.9.2.ebuild:
395 Version bump.
396
397 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
398 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
399
400*PyQt4-4.9.2 (21 Jun 2012)
401
402 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
403 Version bump
404
405 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
406 Destabling to ~ia64 because last available stable qt will be masked pending
407 removal
408
409 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
410 marked x86 per bug 412929
411
412 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
413 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
414 Inherit eutils.
415
416 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
417 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
418 Revert previous change.
419
420 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
421 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
422 Restrict python 3.1 to match dev-python/dbus-python.
423
424 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
425 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
426
427 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
428 Migrating dev-util/pkgconfig -> virtual/pkgconfig
429
430 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
431 Stable for amd64, wrt bug #412929
432
433 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
434 Stable on alpha, bug #354033
435
436 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
437 PyQt4-4.8.4.ebuild:
438 PyQt4-4.8 does not build with sip-4.13, bug 407291
439
440 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
441 Slightly improve the ewarn message in pkg_postinst().
442
443 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
444 Put qt as the primary herd in metadata.
445
446 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
447 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
448 <slong@rathaus.eclipse.co.uk> in bug #407281.
449
450 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
451 Switch to EAPI 4, add REQUIRED_USE.
452
453 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
454 PyQt4-4.8.4.ebuild:
455 Drop ~x86-fbsd because of unkeyworded dependencies.
456
457 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
458 Don't enable QtAssistant module because it was removed in qt-4.7 and we
459 already depend on 4.7.2 or later.
460
461 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
462 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
463 Restrict pypy for older versions too.
464
465 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
466 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
467 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
468 version.
469
470 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
471 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
472 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
473 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
474 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
475 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
476
477 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
478 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
479 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
480 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
481 Fixing pypy restricts to actually work
482
483*PyQt4-4.9.1 (12 Feb 2012)
484
485 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
486 version bump
487
488 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
489 builds with qt-opengl-4.8.0[egl], updated dep
490
491 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
492 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
493 Fixes backported from Progress Overlay. Patch by Arfrever.
494
495*PyQt4-4.9 (24 Dec 2011)
496
497 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
498 Version bump
499
500*PyQt4-4.8.6 (11 Nov 2011)
501
502 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
503 Version bump
504
505 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
506 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
507 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
508 python overlay.
509
510*PyQt4-4.8.5 (19 Aug 2011)
511
512 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
513 Version bump
514
515 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
516 ppc/ppc64 stable wrt #374591
517
518 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
519 x86 stable, bug #374591
520
521 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
522 ppc64 stable wrt #354033
523
524 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
525 Stable on amd64 wrt bug #374591
526
527 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
528 Marking PyQt4-4.8.3 ppc stable for bug 354033
529
530 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
531 Stable on amd64 wrt bug #354033
532
533 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
534 x86 stable per bug 354033
535
536*PyQt4-4.8.4 (02 May 2011)
537
538 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
539 +PyQt4-4.8.4.ebuild:
540 Version bump.
541
542 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
543 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
544 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
545 Adapt phonon dependency for package move
546
547 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
548 ppc64 stable wrt #349607
549
550 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
551 ia64/sparc stable wrt #349607
552
553 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
554 Stable on alpha, bug #349607
555
556 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
557 PyQt4-4.8.3.ebuild:
558 Update dependencies (bug #353053).
559
560*PyQt4-4.8.3 (25 Jan 2011)
561
562 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
563 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
564 Version bump.
565
566 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
567 x86 stable wrt bug #349607
568
569 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
570 Marking PyQt4-4.8.1 ppc stable for bug 349607
571
572 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
573 Stable on amd64 wrt bug #349607
574
575 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
576 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
577 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
578
579*PyQt4-4.8.1-r1 (30 Dec 2010)
580
581 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
582 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
583 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
584
585 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
586 PyQt4-4.8.2.ebuild:
587 Fix dependencies (bug #349672).
588
589*PyQt4-4.8.2 (24 Dec 2010)
590
591 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
592 +PyQt4-4.8.2.ebuild:
593 Version bump.
594
595 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
596 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
597 Restrict Jython ABIs.
598
599 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
600 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
601 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
602 -files/configure.py.patch:
603 Delete.
604
605 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
606 old, depends on qt 4.5
607
608 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
609 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
610 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
611 Remove HPPA keywording (bug #239441).
4 612
5*PyQt4-4.8.1 (30 Oct 2010) 613*PyQt4-4.8.1 (30 Oct 2010)
6 614
7 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org> 615 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
8 +PyQt4-4.8.1.ebuild: 616 +PyQt4-4.8.1.ebuild:
546*PyQt4-4.0_beta1 (05 May 2006) 1154*PyQt4-4.0_beta1 (05 May 2006)
547 1155
548 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 1156 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
549 +PyQt4-4.0_beta1.ebuild: 1157 +PyQt4-4.0_beta1.ebuild:
550 initial import, from bug #121554 1158 initial import, from bug #121554
551

Legend:
Removed from v.1.133  
changed lines
  Added in v.1.289

  ViewVC Help
Powered by ViewVC 1.1.20